# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit linux-mod

MY_SRC="ppscsi-beta2-20060424.tar.gz"

DESCRIPTION="PPSCSI kernel modules"
SRC_URI="http://penguin-breeder.org/kernel/download/$MY_SRC"
HOMEPAGE="http://penguin-breeder.org/kernel/download/"

KEYWORDS="x86"
SLOT="0"
LICENSE="GPL-2"
IUSE=""
DEPEND=">=virtual/linux-sources-2.6.0"

S="${WORKDIR}/ppscsi-beta2"

src_unpack() {
	unpack $MY_SRC
	cd "${S}"
	epatch ${FILESDIR}/ppscsi.h.patch
	epatch ${FILESDIR}/ppscsi.c.patch
}

src_compile() {
	ARCH=$(tc-arch-kernel)
	cd "${S}"
	sed -e "s:\`uname -r\`:${KV_FULL}:" -i Makefile
	make || die
	ARCH=$(tc-arch)
}

src_install() {
	cd "${S}"
	
	MODULE_NAMES=""
	for kmod in `ls *.ko`; do
		MODULE_NAMES="${MODULE_NAMES} ${kmod%.ko}(misc:)"
	done
	linux-mod_src_install

	dodoc README.ppscsi
}

